View Issue Details

IDProjectCategoryView StatusLast Update
0032550Open CASCADEOCCT:Documentationpublic2021-12-13 14:56
Reporterbtokarev Assigned Tosmoskvin  
PrioritynormalSeverityintegration request 
Status closedResolutionfixed 
Target Version7.6.0Fixed in Version7.6.0 
Summary0032550: Documentation - Proofreading for "Tutorials and Samples -> Tutorial"
DescriptionProofreading and new images for solid model for MakeBottle sample description.
Steps To ReproduceTutorial source code updated
TagsNo tags attached.
Test case numberNot required

Attached Files

  • big_figure.png (51,964 bytes)

Relationships

child of 0031896 assignedbtokarev Documentation - Proofreading User manual 

Activities

git

2021-09-01 16:29

administrator   ~0103636

Branch CR32550 has been created by btokarev.

SHA-1: ef53136996944b2ed1486c7ecb165983c9bd8590


Detailed log of new commits:

Author: btokarev
Date: Wed Sep 1 16:29:33 2021 +0300

    0032550: Proofreading for Tutorial
    
    New images added for better representation of solid model;
    Minor fixes for misprints and old classes;
    Proofreading done.

kgv

2021-09-01 16:43

developer   ~0103637

I'm not familiar with this tutorial.

New images have been obviously dumped from 3D viewer, but why this has been done without beautifier options (rendScale for antialiasing, mapping isoLines on triangulation to avoid artifacts)?
Does purple really a good color for a bottle in this document?

btokarev

2021-09-01 16:56

developer   ~0103638

The goal of new images were to explicitly show that the result of the build is not a blue carcass thingy but an actual solid model. These images can be redone with better visual parameters if needed.
As for the purple color, this is kind of shade that is used for default 3DS MAX models and I thought it fits for representing the first modelling steps using this bottle. Additionally, I think it will both fit the overall color schema of the HTML Overview webpage and stand out enough if the user is scrolling the page to find the bottle building stage he is willing to check out. This also can be changed if it seems unfit here.

aml

2021-09-09 08:41

developer   ~0103932

Last edited: 2021-09-09 08:43

Boris, thank you very much for the patch.

I have one but important remark: resulting images are much bigger than older ones. So, the page looks a bit weird with new images.

You will have to rework images, so it is fruitful to utilize beautifiers mentioned by Kirill. Please, ask him how to embed them into a code and keep them in the patch.

aml

2021-09-09 08:41

developer  

big_figure.png (51,964 bytes)

git

2021-09-10 17:35

administrator   ~0103990

Branch CR32550 has been updated by btokarev.

SHA-1: 8657a55192f82a0af6520f9d476daba0a6ff0755


Detailed log of new commits:

Author: btokarev
Date: Fri Sep 10 17:35:07 2021 +0300

    0032550: Proofreading for "Tutorials and Samples -> Tutorial"
    
    Remarks implemented:
    New graphic settings applied;
    New color for visual output set;
    New images added that are grabbed from the default window size.

aml

2021-09-12 08:48

developer   ~0104049

Boris,

1. Please include beautifiers in the patch.
2. Images are too big; it is necessary to downscale them. The maximal image size should be 400x400.

git

2021-09-28 16:25

administrator   ~0104419

Branch CR32550 has been updated by btokarev.

SHA-1: b21a81dc4dc65cfed3fde046435dca93221385ab


Detailed log of new commits:

Author: btokarev
Date: Tue Sep 28 16:25:29 2021 +0300

    0032550: Proofreading for "Tutorials and Samples -> Tutorial"
    
    1. Beautifiers included.
    2. Images are scaled to match the requirements.

aml

2021-09-29 07:39

developer   ~0104423

Beautifiers still missing.

git

2021-09-30 14:18

administrator   ~0104451

Branch CR32550 has been updated by btokarev.

SHA-1: c0afaddd515c9fb8ebe67934c456a01687847b52


Detailed log of new commits:

Author: btokarev
Date: Thu Sep 30 14:18:12 2021 +0300

    0032550: Proofreading for "Tutorials and Samples -> Tutorial"
    
    Beautifiers code included into the tutorial.

git

2021-09-30 14:29

administrator   ~0104452

Branch CR32550 has been updated forcibly by aml.

SHA-1: d857a4085dc8eec2e67ca4dab029c3979a8a9e41

aml

2021-10-01 07:01

developer   ~0104461

Update qt sample is built without errors:
http://jenkins-test-occt/view/CR32550-master-aml/view/SAMPLES/

aml

2021-10-01 07:01

developer   ~0104462

Please raise the patch
- OCCT: branch CR32550.

smoskvin

2021-10-02 10:35

administrator   ~0104485

Combination -
OCCT branch : IR-2021-10-01
master SHA - 0f05f21194a6711251182a118643efc9eb6c322b
49e51745631c52b6c452c65adae4d6dfa21a1b1e
Products branch : IR-2021-10-01 SHA - a7a409985492330e4f25011465bc659dfe7d7562
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17464.590000000462 / 17476.150000000354 [-0.07%]
Products
Total CPU difference: 11405.930000000111 / 11390.180000000097 [+0.14%]
Windows-64-VC14:
OCCT
Total CPU difference: 19332.171875 / 19335.34375 [-0.02%]
Products
Total CPU difference: 12772.859375 / 12782.828125 [-0.08%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2021-12-13 14:56

administrator   ~0105866

Branch CR32550 has been deleted by kgv.

SHA-1: d857a4085dc8eec2e67ca4dab029c3979a8a9e41

Related Changesets

occt: master 5c383973

2021-09-01 13:29:33

btokarev


Committer: smoskvin Details Diff
0032550: Documentation - Proofreading for "Tutorials and Samples -> Tutorial"

New images added for better representation of solid model;
Minor fixes for misprints and old classes;
Proofreading done.
Affected Issues
0032550
mod - dox/tutorial/images/tutorial_image001.png Diff File
mod - dox/tutorial/images/tutorial_image002.png Diff File
mod - dox/tutorial/images/tutorial_image007.png Diff File
mod - dox/tutorial/images/tutorial_image008.png Diff File
mod - dox/tutorial/images/tutorial_image009.png Diff File
mod - dox/tutorial/images/tutorial_image010.png Diff File
mod - dox/tutorial/images/tutorial_image019.png Diff File
mod - dox/tutorial/tutorial.md Diff File
mod - samples/qt/Tutorial/src/DocumentTut.cxx Diff File

Issue History

Date Modified Username Field Change
2021-09-01 14:49 btokarev New Issue
2021-09-01 14:49 btokarev Assigned To => abv
2021-09-01 14:49 btokarev Assigned To abv => btokarev
2021-09-01 14:50 btokarev Relationship added child of 0031896
2021-09-01 16:29 git Note Added: 0103636
2021-09-01 16:31 btokarev Assigned To btokarev => aml
2021-09-01 16:31 btokarev Status new => resolved
2021-09-01 16:31 btokarev Steps to Reproduce Updated
2021-09-01 16:43 kgv Note Added: 0103637
2021-09-01 16:56 btokarev Note Added: 0103638
2021-09-09 08:41 aml Note Added: 0103932
2021-09-09 08:41 aml File Added: big_figure.png
2021-09-09 08:43 aml Note Edited: 0103932
2021-09-09 08:44 aml Assigned To aml => btokarev
2021-09-09 08:44 aml Status resolved => assigned
2021-09-10 17:35 git Note Added: 0103990
2021-09-10 17:37 btokarev Assigned To btokarev => aml
2021-09-10 17:37 btokarev Status assigned => resolved
2021-09-10 17:37 btokarev Steps to Reproduce Updated
2021-09-12 08:48 aml Note Added: 0104049
2021-09-12 08:48 aml Assigned To aml => btokarev
2021-09-12 08:48 aml Status resolved => assigned
2021-09-28 16:25 git Note Added: 0104419
2021-09-28 16:26 btokarev Assigned To btokarev => aml
2021-09-28 16:26 btokarev Status assigned => resolved
2021-09-29 07:39 aml Note Added: 0104423
2021-09-29 07:39 aml Assigned To aml => btokarev
2021-09-29 07:39 aml Status resolved => assigned
2021-09-30 14:18 git Note Added: 0104451
2021-09-30 14:19 btokarev Assigned To btokarev => aml
2021-09-30 14:19 btokarev Status assigned => resolved
2021-09-30 14:19 btokarev Steps to Reproduce Updated
2021-09-30 14:25 kgv Summary Proofreading for "Tutorials and Samples -> Tutorial" => Documentation - Proofreading for "Tutorials and Samples -> Tutorial"
2021-09-30 14:25 kgv Severity minor => integration request
2021-09-30 14:29 git Note Added: 0104452
2021-10-01 07:01 aml Note Added: 0104461
2021-10-01 07:01 aml Note Added: 0104462
2021-10-01 07:01 aml Assigned To aml => bugmaster
2021-10-01 07:01 aml Status resolved => reviewed
2021-10-02 10:35 smoskvin Note Added: 0104485
2021-10-02 10:35 smoskvin Status reviewed => tested
2021-10-02 10:37 smoskvin Test case number => Not required
2021-10-02 11:32 smoskvin Changeset attached => occt master 5c383973
2021-10-02 11:32 smoskvin Assigned To bugmaster => smoskvin
2021-10-02 11:32 smoskvin Status tested => verified
2021-10-02 11:32 smoskvin Resolution open => fixed
2021-12-13 14:56 git Note Added: 0105866